SQLite3Stmt
SQLite3Stmt::bindValue
SQLite3Stmt
PHP Manual

# SQLite3Stmt::bindParam

(PHP 5 >= 5.3.0)

SQLite3Stmt::bindParam — Binds a parameter to a statement variable

### Description

public bool SQLite3Stmt::bindParam ( string `$sql_param` , mixed `&$param` [, int `$type` ] )

Binds a parameter to a statement variable.

### Parameters

`sql_param`

  An string identifying the statement variable to which the parameter should be bound.

`param`

  The parameter to bind to a statement variable.

`type`

  The data type of the parameter to bind.

  - SQLITE3_INTEGER: The value is a signed integer, stored in 1, 2, 3, 4, 6, or 8 bytes depending on the magnitude of the value.

  - SQLITE3_FLOAT: The value is a floating point value, stored as an 8-byte IEEE floating point number.

  - SQLITE3_TEXT: The value is a text string, stored using the database encoding (UTF-8, UTF-16BE or UTF-16-LE).

  - SQLITE3_BLOB: The value is a blob of data, stored exactly as it was input.

  - SQLITE3_NULL: The value is a NULL value.

### Return Values

Returns `TRUE` if the parameter is bound to the statement variable, `FALSE` on failure.

SQLite3Stmt
SQLite3Stmt::bindValue
SQLite3Stmt
PHP Manual